All Data Structures Functions Variables Enumerations Enumerator Groups Pages
sa_cpu Struct Reference
CPU interface

## Data Fields

uint16_t | id
| Cpu identificator. 0 is the first one.
float | user
| Percentage of time spent on user tasks.
float | nice
| Percentage of time spent on nice prioriced tasks.
float | system
| Percentage of time spent on system tasks.
float | idle
| Percentage of time with no activity.
float | waiting_for_io
| Percentage of time spent waiting for io transferences.
float | hardware_irq
| Percentage of time spent working on hardware irqs.
float | software_irq
| Percentage of time spent working on software irqs.
float | stolen
| Percentage of time spent in other operating systems when running in a virtualized environment.

## Detailed Description

This structure gathers the details about one cpu's activity.

The documentation for this struct was generated from the following file:

- src/common/cpu.h